VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
AmbienceProcessor Class Reference

`#include <mdaAmbienceProcessor.h>`

Inheritance diagram for AmbienceProcessor:

## Public Member Functions
| AmbienceProcessor ()
| ~AmbienceProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0xAF799E3A, 0xC94B444A, 0xB5B24FD5, 0xD3E3F9E4)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE
void | clearBuffers ()

## Protected Attributes
float * | buf1
float * | buf2
float * | buf3
float * | buf4
float | fil
float | fbak
float | damp
float | wet
float | dry
float | size
int32 | pos
int32 | den
int32 | rdy

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

AmbienceProcessor | ( |  | ) |

~AmbienceProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inline virtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from AudioEffect.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inline static

static DECLARE_UID | ( | uid | ,
|  | 0xAF799E3A | ,
|  | 0xC94B444A | ,
|  | 0xB5B24FD5 | ,
|  | 0xD3E3F9E4 |
| ) |  |
| inline static

void recalculate | ( |  | ) |
| protected virtual

Reimplemented from Processor.

void clearBuffers | ( |  | ) |
| protected

## Member Data Documentation

float* buf1
| protected

float * buf2
| protected

float * buf3
| protected

float * buf4
| protected

float fil
| protected

float fbak
| protected

float damp
| protected

float wet
| protected

float dry
| protected

float size
| protected

int32 pos
| protected

int32 den
| protected

int32 rdy
| protected

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.